Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Erick_ius
Beginner
299 Views

Calling python myapp.py after installation is giving the error "ImportError: DLL load failed..." in

Jump to solution

I installed OpenVINO toolkit 2021.1 for Windows10. The installation went successful and I was able to execute demo_squeezenet_download_convert_run.bat file and 'Classification demo completed successfully'. Also running demo_security_barrier_camera.bat 'Demo completed successfully'. Then I tried run my face_detect app and I got the error:

Traceback (most recent call last):
  File "face_detect.py", line 16, in <module>
    from openvino.inference_engine import IENetwork, IECore
  File "C:\Program Files (x86)\Intel\openvino_2021\python\python3.8\openvino\inference_engine\__init__.py", line 1, in <module>
    from .ie_api import *
ImportError: DLL load failed while importing ie_api: The specified module could not be found.

I used to run my face_detect app on the previous version of OpenVINO and it was working well.

Regards.

0 Kudos
1 Solution
IntelSupport
Community Manager
271 Views

Hi Erick_ius,


Thanks for reaching out.

This might be Python 3.8 is not fully supported for the OpenVINO toolkit yet. I suggest you to try running your face_detect application with Python 3.7 version installed instead of Python 3.8. I have tried to run some python demo and getting the same error using Python 3.8 version. Meanwhile, no issue arises when I use Python 3.7 version.


Regards,

Aznie


View solution in original post

2 Replies
IntelSupport
Community Manager
272 Views

Hi Erick_ius,


Thanks for reaching out.

This might be Python 3.8 is not fully supported for the OpenVINO toolkit yet. I suggest you to try running your face_detect application with Python 3.7 version installed instead of Python 3.8. I have tried to run some python demo and getting the same error using Python 3.8 version. Meanwhile, no issue arises when I use Python 3.7 version.


Regards,

Aznie


View solution in original post

Erick_ius
Beginner
258 Views

Hi Aznie,

Thanks a lot.  That was a case.  I have installed Python 3.7.9 . Now it works.

Regards

Reply